---
title: Intl.DisplayNames.prototype.of()
slug: Web/JavaScript/Reference/Global_Objects/Intl/DisplayNames/of
tags:
  - DisplayNames
  - Internationalization
  - Intl
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <code><strong>of</strong></code><strong><code>()</code></strong> method receives a code and returns a string based on the locale and options provided when instantiating Intl.DisplayNames.</p>

<div>
<div>{{EmbedInteractiveExample("pages/js/intl-displaynames.html")}}</div>

</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>displayNames</var>.of(<var>code</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><strong><code>code</code></strong></dt>
 <dd>The <code>code</code> to provide depends on the <code>type</code>:
 <ul>
  <li>If the type is "region", code should be either an <a href="https://www.iso.org/iso-3166-country-codes.html" rel="nofollow">ISO-3166 two letters region code</a>, or a <a href="https://unstats.un.org/unsd/methodology/m49/" rel="nofollow">three digits UN M49 Geographic Regions</a>.</li>
  <li>If the type is "script", code should be an <a href="http://unicode.org/iso15924/iso15924-codes.html" rel="nofollow">ISO-15924 four letters script code</a>.</li>
  <li>If the type is "language", code should be a <em>languageCode</em> ["-" <em>scriptCode</em>] ["-" <em>regionCode</em> ] *("-" <em>variant</em> ) subsequence of the unicode_language_id grammar in <a href="http://unicode.org/reports/tr35/#Unicode_language_identifier" rel="nofollow">UTS 35's Unicode Language and Locale Identifiers grammar</a>. <em>languageCode</em> is either a two letters ISO 639-1 language code or a three letters ISO 639-2 language code.</li>
  <li>If the type is "currency", code should be a <a href="https://www.iso.org/iso-4217-currency-codes.html" rel="nofollow">3-letter ISO 4217 currency code</a>.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A language-specific formatted string.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_of_method">Using the <code>of</code> method</h3>

<pre class="brush: js notranslate">let regionNames = new Intl.DisplayNames(['en'], {type: 'region'});
regionNames.of('419'); // "Latin America"

let languageNames = new Intl.DisplayNames(['en'], {type: 'language'});
languageNames.of('fr'); // "French"

let currencyNames = new Intl.DisplayNames(['en'], {type: 'currency'});
currencyNames.of('EUR'); // "Euro"

</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Intl.DisplayNames', '#sec-Intl.DisplayNames.prototype.of', 'of()')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Intl.DisplayNames.of")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Intl.DisplayNames")}}</li>
</ul>
